> For the complete documentation index, see [llms.txt](https://help.security.gallagher.com/knowledge-hub/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://help.security.gallagher.com/knowledge-hub/developer/rest-api/alarm-zones.md).

# Alarm Zones

These methods give you read access to Alarm Zones in the Command Centre database, and let you change their states: armed, disarmed, two user-defined states, and (if at least one Fence Zone is directing its events to this Alarm Zone) 'Armed - High Voltage' or 'Armed - Low Feel'.

Alarm zones may run by a schedule, but it is optional. Alarm zones that do not have a schedule change state only through manual overrides, meaning they do not have a natural state. That in turn means that you cannot override them for a duration -- they have no state to return to.

The first use case below introduces the main entry point. It is a paginated search interface that gives you any number of alarm zones, each containing the fields you ask for in the query.

### Overrides

Note:

1. End-times on overrides are not accurate to the second. Internally, Command Centre converts the end time to a duration, so you may find that submitting end times in the very near future does not have the exact effect you expect.
2. Submitting an override without an end time makes it take effect until the next state change or 'cancel untimed overrides' entry in the alarm zone's schedule.
3. Overrides you submit via REST are not subject to the "manual unset" timeouts you can set in the Configuration Client. Those only affect readers, terminals, and pushbuttons.
4. The end time you set for an override cannot be in the past or more than 24 hours into the future.

### Alarm Zone status flags

If the alarm zone is online, its `statusFlags` field will contain one or more of these flags:

* `armed` means the alarm zone is armed. It will be called that even if you have changed the terminology in the Server Properties.
* `disarmed` as above.
* `user1` will be called that even if you have given it a different name in Server Properties.
* `user2` as above.
* `exitDelay` means the zone is temporarily ignoring input triggers. One of the previous four flags shows you the state the zone is about to change away from.
* `entryDelay` means an input has triggered the alarm zone but Command Centre is giving a cardholder the opportunity to disarm the zone.
* `lowFeel` means the alarm zone has a fence zone attached, and that it is in 'low feel' mode (meaning it is delivering lower voltage than you would use for a strong deterrent).
* `highVoltage` means that the alarm zone has a fence zone attached, and that it is in 'high voltage' mode (meaning it is delivering a strong deterrent pulse).

#### Alarm Zone flag rules

* If and only if the zone is online, there will be exactly one of 'armed', 'disarmed', 'user1', or 'user2'. That is your test for whether an alarm zone is in error.
* 'exitDelay' and 'entryDelay' cannot appear together.
* If and only if the zone is online and has a fence zone, there will be exactly one of 'lowFeel' or 'highVoltage'.

### Use cases

#### Searching for alarm zones by name

1. `GET /api`.
2. Follow the link at `features.alarmZones.alarmZones.href` ↪, appending a search term such as `name=substring` to filter the alarm zones, and `fields` to tell the server what to return about each. The next section covers those query parameters.
3. Process the results, following the `next` link until there isn't one.

#### Changing an alarm zone's state

1. Find the href for the alarm zone using the process above.
2. GET it.
3. Find the API URL you require in the `commands` structure of the results, such as `arm` ↪ or `disarm` ↪, using the detail. Use the calls with `Until` on the ends of their names if you are specifying an end time.
4. POST to that URL. All those with `Until` in their names require a JSON object in the body giving the time at which the override should end; the others do not.

#### Finding an alarm zone's status

1. Find the href for the alarm zone using the process above, and GET it.
2. Follow the `updates` ↪ href from that page.
3. Use the flag rules above to interpret the status flags you receive.
4. Follow the `next` link to stay up to date.

### Licensing

All the POSTs that override items require RESTOverrides.

If you have RESTOverrides but not RESTStatus in 8.60 or later, the GETs return enough information to let you find the item you want to override but they do not return its status. In 8.50 and older, the GET will fail without RESTStatus.

The RESTOverrides and RESTStatus licences do not overlap: to watch the status of an item as well as override it, you will need both.

## Search alarm zones

> This returns a summary of the alarm zones matching your search criteria.\
> \
> The result will contain no more than 100 or 1000 alarm zones (depending on your version), or\
> as many as you asked for; you should follow the \`next\` link, if it is\
> present, to collect the next batch.\
> \
> If your result set is empty it means your operator does not have the privilege to view any\
> alarm zones, such as 'View Site', 'Edit Site', or 'Override'.  Perhaps there are no alarm\
> zones in the divisions in which your operator has privileges, or your operator has no\
> privileges at all.\
> \
> When you have loaded them all there will be no \`next\` link.\
> \
> Do not code this URL into your application.  Take it from the 'href' field in the\
> \`features.alarmZones.alarmZones\` section of \`/api\`.<br>

```json
{"openapi":"3.2.0","info":{"title":"Command Centre REST API","version":"2.0"},"tags":[{"name":"Alarm Zones","description":"These methods give you read access to Alarm Zones in the Command Centre database, and\nlet you change their states:  armed, disarmed, two user-defined states, and (if at\nleast one Fence Zone is directing its events to this Alarm Zone) 'Armed - High\nVoltage' or 'Armed - Low Feel'.\n\nAlarm zones may run by a schedule, but it is optional.  Alarm zones that do not have a\nschedule change state only through manual overrides, meaning they do not have a\nnatural state.  That in turn means that you cannot override them for a duration --\nthey have no state to return to.\n\nThe first use case below introduces the main entry point.  It is a paginated search interface\nthat gives you any number of alarm zones, each containing the fields you ask for in the query.\n\n## Overrides\nNote:\n\n1. End-times on overrides are not accurate to the second.  Internally, Command Centre\n   converts the end time to a duration, so you may find that submitting end times in\n   the very near future does not have the exact effect you expect.\n2. Submitting an override without an end time makes it take effect until the next\n   state change or 'cancel untimed overrides' entry in the alarm zone's schedule.\n3. Overrides you submit via REST are not subject to the \"manual unset\" timeouts you\n   can set in the Configuration Client.  Those only affect readers, terminals, and\n   pushbuttons.\n3. The end time you set for an override cannot be in the past or more than 24 hours into\n   the future.\n\n## Alarm Zone status flags\n\nIf the alarm zone is online, its `statusFlags` field will contain one or more of these flags:\n\n- `armed` means the alarm zone is armed.  It will be called that even if you have changed the\n  terminology in the Server Properties.\n- `disarmed` as above.\n- `user1` will be called that even if you have given it a different name in Server Properties.\n- `user2` as above.\n- `exitDelay` means the zone is temporarily ignoring input triggers.  One of the previous four\n  flags shows you the state the zone is about to change away from.\n- `entryDelay` means an input has triggered the alarm zone but Command Centre is giving a\n  cardholder the opportunity to disarm the zone.\n\n- `lowFeel` means the alarm zone has a fence zone attached, and that it is in 'low feel' mode\n  (meaning it is delivering lower voltage than you would use for a strong deterrent).\n- `highVoltage` means that the alarm zone has a fence zone attached, and that it is in 'high\n  voltage' mode (meaning it is delivering a strong deterrent pulse).\n\n### Alarm Zone flag rules\n\n- If and only if the zone is online, there will be exactly one of 'armed', 'disarmed', 'user1', or\n  'user2'.  That is your test for whether an alarm zone is in error.\n- 'exitDelay' and 'entryDelay' cannot appear together.\n- If and only if the zone is online and has a fence zone, there will be exactly one of 'lowFeel'\n  or 'highVoltage'.\n\n## Use cases\n\n### Searching for alarm zones by name\n1. `GET /api`.\n2. Follow the link at `features.alarmZones.alarmZones.href`\n   [↪](alarm-zones#get-api-alarm_zones), appending a search term such as `name=substring` to\n   filter the alarm zones, and `fields` to tell the server what to return about each.  The next\n   section covers those query parameters.\n3. Process the results, following the `next` link until there isn't one.\n\n### Changing an alarm zone's state\n1. Find the href for the alarm zone using the process above.\n2. GET it.\n3. Find the API URL you require in the `commands` structure of the results, such as `arm`\n   [↪](alarm-zones#post-api-alarm_zones-id-arm) or `disarm`\n   [↪](alarm-zones#post-api-alarm_zones-id-disarm), using [the\n   detail](models#alarmzonedetail).  Use the calls with `Until` on the ends of their\n   names if you are specifying an end time.\n4. POST to that URL.  All those with `Until` in their names require a JSON object in\nthe body giving the time at which the override should end; the others do not.\n\n### Finding an alarm zone's status\n1. Find the href for the alarm zone using the process above, and GET it.\n3. Follow the `updates` [↪](alarm-zones#get-api-alarm_zones-id-updates) href from that page.\n4. Use the flag rules above to interpret the status flags you receive.\n5. Follow the `next` link to stay up to date.\n\n## Licensing\n\nAll the POSTs that override items require RESTOverrides.\n\nIf you have RESTOverrides but not RESTStatus in 8.60 or later, the GETs return enough\ninformation to let you find the item you want to override but they do not return its status.  In\n8.50 and older, the GET will fail without RESTStatus.\n\nThe RESTOverrides and RESTStatus licences do not overlap: to watch the status of an item as well\nas override it, you will need both.\n"}],"servers":[{"url":"https://127.0.0.1:8904"}],"security":[{"API_key":[]},{"basic":[]}],"components":{"securitySchemes":{"API_key":{"type":"apiKey","name":"Authorization","in":"header","description":"\nClients authenticate by including a pre-shared API key in the `Authorization` header of each\nrequest after an authorisation method of `GGL-API-KEY`:\n\n`Authorization: GGL-API-KEY C774-B01F-D695-AA4B-215F-A158-AC22-ADEB`\n\nFor a fuller description see [API authentication](api-authentication).\n"},"basic":{"type":"http","scheme":"basic","description":"This is HTTP Basic authentication using a blank username and the API key as the password.\n\nExample:  `Authorization: Basic OkM3NzQtQjAxRi1ENjk1LUFBNEItMjE1Ri1BMTU4LUFDMjItQURFQg==`\n\nThat example is equivalent to the example in the description of the api_Key method:\nprepending a colon to the API key beginning with `C774` then encoding it into Base64\nproduces the 56 characters beginning with `OkM3`.\n\nThe colon is a separator between a username, which is blank in our case, and the password,\nwhich is our API key.\n\nFor a fuller description see [API authentication](api-authentication)\n"}},"parameters":{"sort":{"name":"sort","in":"query","schema":{"type":"string","enum":["id","name","-id","-name"]},"required":false,"description":"Changes the sort field between database ID and name.\n\nIf you prefix `id` or `name` with a minus sign (ASCII 45), the sort order is reversed.\n\nThere are two very strong reasons to sort by ID:\n\n1. Sorting by name carries a risk of missing or duplicating objects if your result set spans\n   multiple pages and another operator is editing the database while your REST client is\n   enumerating them.  This is known as \"page drift.\"  Sorting by ID does not carry that risk.\n2. Following a `next` link is _dramatically_ quicker when sorting by ID.\n\nWe _strongly_ recommend sorting by ID.  In case you were still in doubt, we will do that by\ndefault in a future version of Command Centre.\n\nThe server silently ignores anything except the options listed here.\n"},"top":{"name":"top","in":"query","required":false,"schema":{"type":"integer","minimum":1},"description":"Limits the results to no more than this many items per page.\n\nOlder versions of Command Centre returned 100 items per page in the absence of this parameter.  That is acceptable for GUI\napplications that will only display the first page, but for integrations that intend to\nproceed through the entire database it causes a lot of chatter.\n\n8.70 and later versions will default to 1000 items per request.  This is about where a graph\nof throughput versus page size begins to level out.\n"},"name":{"name":"name","in":"query","schema":{"type":"string"},"description":"Limits the returned items to those with a name that matches this string.  Without surrounding\nquotes or a percent sign or underscore, it is a substring match; surround the parameter with\ndouble quotes `\"...\"` for an exact match.  Without quotes, a percent sign `%` will match any\nsubstring and an underscore will match any single character.\n\nThe search is always case-insensitive.  Results are undefined if you do a substring search for\nthe empty string (`name=`).  You will receive no items if you search for those with no name\n(`name=\"\"`), as all items must have a name.\n\nSearch parameters are ANDed together.\n"},"division":{"name":"division","in":"query","required":false,"schema":{"type":"array","items":{"type":"string"}},"style":"form","explode":false,"description":"Limits the returned items to those that are in these divisions.\n\nThat includes all the items in those divisions' child divisions, because Command Centre treats\nitems as though they are also in their division's parent, and its parent, and so on up to the\nroot division.\n\nSeparate the IDs of the divisions in you are interested with commas.  Item IDs are short\nalphanumeric strings, not URLs.\n\nResults are undefined if you provide an ID that is not in the form of a division ID.\n\nSearch parameters are ANDed together.\n"},"directDivision":{"name":"directDivision","in":"query","required":false,"schema":{"type":"array","items":{"type":"string"}},"style":"form","explode":false,"description":"Restricts items to those whose division is in this list.\n\nUnlike `division=`, it does not follow ancestry.  That means it will limit the search to items\nthat are directly assigned to the divisions you list, whereas `division` (without the\n`direct`) will also include items that are assigned to their descendants.\n\nList the IDs of the divisions you are interested in separated by commas.  Item IDs are short\nalphanumeric strings, not URLs.\n\nBecause this is the first query parameter we added that contains a capital letter, this will\nbe the first time you have had to think about case sensitivity.  `directDivision` works,\n`directdivision` does not.\n\nResults are undefined if you provide an ID that is not in the form of a division ID.\n\nSearch parameters are ANDed together.\n\nAdded in 9.20.\n"},"description":{"name":"description","in":"query","required":false,"schema":{"type":"string"},"description":"Limits the returned items to those with a description that matches this string.  By default it\nis a substring match; surround it with double quotes `\"...\"` for an exact match.  A `_` will\nmatch any single character, and a `%` will match any substring.  With or without quotes,\nhaving either of these wildcards in the string will anchor it at both ends as though you had\nsurrounded it with `\"`.\n\nThe search is always case-insensitive.  Results are undefined if you search for the empty\nstring (`description=` or `description=\"\"`).\n\nSearch parameters are ANDed together.\n"},"pos":{"name":"pos","in":"query","required":false,"schema":{"type":"integer"},"description":"Reserved for internal use.  You may see it in URLs you receive from the server, but you must never add it yourself."},"skip":{"name":"skip","in":"query","required":false,"schema":{"type":"integer"},"description":"Reserved for internal use.  Do not add it to your queries."}},"schemas":{"AlarmZoneSummary":{"title":"Alarm Zone summary","type":"object","properties":{"href":{"type":"string","description":"A link to an [alarm zone detail](models#alarmzonedetail) object for this alarm\nzone.  This is Command Centre's identifier for this alarm zone:  use it whenever you need\nto specify an alarm zone in REST operations.\n","format":"uri-reference"},"id":{"type":"string","description":"An alphanumeric identifier, unique to the server.\n\nThis is the ID to use in the `source` parameter of [event\nfilters](events#get-api-events) if you want to limit your events\nto particular alarm zones.\n"},"name":{"type":"string"}},"description":"`/api/alarm_zones` returns an array of these.  It is a subset of what you get from an\nalarm zone's detail page at `/api/alarm_zones/{id}` (linked as the href in this\nobject).\n"}},"responses":{"403nolicence":{"description":"A server running 8.50 or earlier is missing the RESTStatus licence.  A server running 8.60\nor later is missing both the RESTStatus and RESTOverrides licences.  One of those is enough\nfor this API call in 8.60 and later.\n"}}},"paths":{"/api/alarm_zones":{"get":{"tags":["Alarm Zones"],"summary":"Search alarm zones","description":"This returns a summary of the alarm zones matching your search criteria.\n\nThe result will contain no more than 100 or 1000 alarm zones (depending on your version), or\nas many as you asked for; you should follow the `next` link, if it is\npresent, to collect the next batch.\n\nIf your result set is empty it means your operator does not have the privilege to view any\nalarm zones, such as 'View Site', 'Edit Site', or 'Override'.  Perhaps there are no alarm\nzones in the divisions in which your operator has privileges, or your operator has no\nprivileges at all.\n\nWhen you have loaded them all there will be no `next` link.\n\nDo not code this URL into your application.  Take it from the 'href' field in the\n`features.alarmZones.alarmZones` section of `/api`.\n","parameters":[{"$ref":"#/components/parameters/sort"},{"$ref":"#/components/parameters/top"},{"$ref":"#/components/parameters/name"},{"$ref":"#/components/parameters/division"},{"$ref":"#/components/parameters/directDivision"},{"$ref":"#/components/parameters/description"},{"name":"fields","description":"This instructs the server to return only these fields in the search results.  The values you can list are the same as the field\nnames in the details page.  Using this you can return everything on the summary page that you\nwould find on the details page.  Separate values with commas.\n\nUse the special value `defaults` to return the fields you would have received had you not given\nthe parameter at all.  Obviously only do that if you have more to add.\n\nTreat the string matches as case-sensitive.\n\nIn v8.00 you will receive the href and internal ID even if you did not ask for them.  In 8.10\nand later you will only get what you asked for.  If you are going to send the `fields`\nparameter and need the href or ID, be explicit.\n","schema":{"type":"array","items":{"type":"string","enum":["href","id","name","shortName","description","division","commands","connectedController","statusFlags","status","notes","updates","defaults"]}},"in":"query","explode":false,"style":"form","required":false},{"$ref":"#/components/parameters/pos"},{"$ref":"#/components/parameters/skip"}],"responses":{"200":{"description":"Success.  See the note in the description about privileges if your result set is empty.\n","content":{"application/json":{"schema":{"description":"An array of alarm zone summaries, and a `next` link for more.","type":"object","properties":{"results":{"type":"array","description":"An array of Alarm Zone summaries.","items":{"$ref":"#/components/schemas/AlarmZoneSummary"}},"next":{"type":"object","properties":{"href":{"type":"string","format":"uri-reference"}},"description":"The link to the next page.  Absent if you have retrieved them all."}}}}}},"403":{"$ref":"#/components/responses/403nolicence"}}}}}}
```

## Get details of an alarm zone

> This returns the detail of one alarm zone.\
> \
> Follow the 'href' field in an \[alarm zone summary]\(models#alarmzonesummary) to get\
> here rather than \[building it yourself]\(forward-compatibility-hateoas).<br>

```json
{"openapi":"3.2.0","info":{"title":"Command Centre REST API","version":"2.0"},"tags":[{"name":"Alarm Zones","description":"These methods give you read access to Alarm Zones in the Command Centre database, and\nlet you change their states:  armed, disarmed, two user-defined states, and (if at\nleast one Fence Zone is directing its events to this Alarm Zone) 'Armed - High\nVoltage' or 'Armed - Low Feel'.\n\nAlarm zones may run by a schedule, but it is optional.  Alarm zones that do not have a\nschedule change state only through manual overrides, meaning they do not have a\nnatural state.  That in turn means that you cannot override them for a duration --\nthey have no state to return to.\n\nThe first use case below introduces the main entry point.  It is a paginated search interface\nthat gives you any number of alarm zones, each containing the fields you ask for in the query.\n\n## Overrides\nNote:\n\n1. End-times on overrides are not accurate to the second.  Internally, Command Centre\n   converts the end time to a duration, so you may find that submitting end times in\n   the very near future does not have the exact effect you expect.\n2. Submitting an override without an end time makes it take effect until the next\n   state change or 'cancel untimed overrides' entry in the alarm zone's schedule.\n3. Overrides you submit via REST are not subject to the \"manual unset\" timeouts you\n   can set in the Configuration Client.  Those only affect readers, terminals, and\n   pushbuttons.\n3. The end time you set for an override cannot be in the past or more than 24 hours into\n   the future.\n\n## Alarm Zone status flags\n\nIf the alarm zone is online, its `statusFlags` field will contain one or more of these flags:\n\n- `armed` means the alarm zone is armed.  It will be called that even if you have changed the\n  terminology in the Server Properties.\n- `disarmed` as above.\n- `user1` will be called that even if you have given it a different name in Server Properties.\n- `user2` as above.\n- `exitDelay` means the zone is temporarily ignoring input triggers.  One of the previous four\n  flags shows you the state the zone is about to change away from.\n- `entryDelay` means an input has triggered the alarm zone but Command Centre is giving a\n  cardholder the opportunity to disarm the zone.\n\n- `lowFeel` means the alarm zone has a fence zone attached, and that it is in 'low feel' mode\n  (meaning it is delivering lower voltage than you would use for a strong deterrent).\n- `highVoltage` means that the alarm zone has a fence zone attached, and that it is in 'high\n  voltage' mode (meaning it is delivering a strong deterrent pulse).\n\n### Alarm Zone flag rules\n\n- If and only if the zone is online, there will be exactly one of 'armed', 'disarmed', 'user1', or\n  'user2'.  That is your test for whether an alarm zone is in error.\n- 'exitDelay' and 'entryDelay' cannot appear together.\n- If and only if the zone is online and has a fence zone, there will be exactly one of 'lowFeel'\n  or 'highVoltage'.\n\n## Use cases\n\n### Searching for alarm zones by name\n1. `GET /api`.\n2. Follow the link at `features.alarmZones.alarmZones.href`\n   [↪](alarm-zones#get-api-alarm_zones), appending a search term such as `name=substring` to\n   filter the alarm zones, and `fields` to tell the server what to return about each.  The next\n   section covers those query parameters.\n3. Process the results, following the `next` link until there isn't one.\n\n### Changing an alarm zone's state\n1. Find the href for the alarm zone using the process above.\n2. GET it.\n3. Find the API URL you require in the `commands` structure of the results, such as `arm`\n   [↪](alarm-zones#post-api-alarm_zones-id-arm) or `disarm`\n   [↪](alarm-zones#post-api-alarm_zones-id-disarm), using [the\n   detail](models#alarmzonedetail).  Use the calls with `Until` on the ends of their\n   names if you are specifying an end time.\n4. POST to that URL.  All those with `Until` in their names require a JSON object in\nthe body giving the time at which the override should end; the others do not.\n\n### Finding an alarm zone's status\n1. Find the href for the alarm zone using the process above, and GET it.\n3. Follow the `updates` [↪](alarm-zones#get-api-alarm_zones-id-updates) href from that page.\n4. Use the flag rules above to interpret the status flags you receive.\n5. Follow the `next` link to stay up to date.\n\n## Licensing\n\nAll the POSTs that override items require RESTOverrides.\n\nIf you have RESTOverrides but not RESTStatus in 8.60 or later, the GETs return enough\ninformation to let you find the item you want to override but they do not return its status.  In\n8.50 and older, the GET will fail without RESTStatus.\n\nThe RESTOverrides and RESTStatus licences do not overlap: to watch the status of an item as well\nas override it, you will need both.\n"}],"servers":[{"url":"https://127.0.0.1:8904"}],"security":[{"API_key":[]},{"basic":[]}],"components":{"securitySchemes":{"API_key":{"type":"apiKey","name":"Authorization","in":"header","description":"\nClients authenticate by including a pre-shared API key in the `Authorization` header of each\nrequest after an authorisation method of `GGL-API-KEY`:\n\n`Authorization: GGL-API-KEY C774-B01F-D695-AA4B-215F-A158-AC22-ADEB`\n\nFor a fuller description see [API authentication](api-authentication).\n"},"basic":{"type":"http","scheme":"basic","description":"This is HTTP Basic authentication using a blank username and the API key as the password.\n\nExample:  `Authorization: Basic OkM3NzQtQjAxRi1ENjk1LUFBNEItMjE1Ri1BMTU4LUFDMjItQURFQg==`\n\nThat example is equivalent to the example in the description of the api_Key method:\nprepending a colon to the API key beginning with `C774` then encoding it into Base64\nproduces the 56 characters beginning with `OkM3`.\n\nThe colon is a separator between a username, which is blank in our case, and the password,\nwhich is our API key.\n\nFor a fuller description see [API authentication](api-authentication)\n"}},"schemas":{"AlarmZoneDetail":{"title":"Alarm Zone detail","description":"[/api/alarm_zones/{id}](alarm-zones#get-api-alarm_zones-id-) returns one of these.\n","allOf":[{"$ref":"#/components/schemas/AlarmZoneSummary"},{"type":"object","properties":{"description":{"type":"string"},"division":{"type":"object","description":"The division containing this Alarm Zone.","properties":{"name":{"type":"string","readOnly":true},"href":{"type":"string","format":"uri-reference","description":"The API's identifier for an item."}}},"shortName":{"maxLength":16,"type":"string"},"notes":{"type":"string","description":"Because of their potential size, notes are only available by request.  Use the 'fields'\nparameter:\n\n`?fields=defaults,notes,...`\n"},"updates":{"type":"object","properties":{"href":{"type":"string","format":"uri-reference"}},"description":"Follow the URL in the href inside this block to receive the item's current status,\nthen follow the `next` link in the results to long poll for changes to that status.\n\nUpdate pages take the same `fields` parameter as summary and details pages.  You\nshould use that to request all the fields you need in the update.\n"},"statusFlags":{"type":"array","description":"The search and details pages do not return status flags by default, because an item's\nstatus is unknown until something is monitoring it.  If you want status flags on the\nsearch and details pages you must ask for them using the `fields` parameter, but our\nadvice is to monitor them using [status\nsubscriptions](items#status-subscriptions) if you are running 8.30 or later,\notherwise the item's `updates` link.  See the [item status](item-status)\nsection for a full description of how to stay up to date with item status, and this\nitem's introduction in the Operations section for what flags this item might return\nand what they mean.\n","items":{"type":"string"}},"connectedController":{"type":"object","properties":{"name":{"type":"string"},"href":{"type":"string","description":"This is the REST API's identifier for the hardware controller.  It is only an\nidentifier, not a usable URL, because there is no interface for hardware\ncontrollers.  GETting the URL will return a 404.\n","format":"uri-reference"},"id":{"type":"string","description":"An alphanumeric identifier, unique to the server. This is the ID to use in the\n`source` parameter of [event filters](events#get-api-events) and in the body\nof [status subscriptions](items#status-subscriptions).\n"}},"description":"This block describes this item's hardware controller.\n\nRetrieving it takes a little more time than the other fields so only ask for it if you\nneed it.\n\nAdded in 8.50.\n"},"commands":{"type":"object","properties":{"arm":{"type":"object","properties":{"href":{"type":"string","description":"[POST](alarm-zones#post-api-alarm_zones-id-arm) to this to arm this\nalarm zone until the next scheduled change.\n","format":"uri-reference"},"name":{"type":"string","description":"Because a site can configure different names for different alarm\nzone states, they appear here.\n","default":"Armed","enum":["Armed","Set"]}}},"armUntil":{"type":"object","properties":{"href":{"type":"string","description":"[POST](alarm-zones#post-api-alarm_zones-id-arm) to this to arm this\nalarm zone for a fixed time.\n","format":"uri-reference"},"name":{"type":"string","description":"Because a site can configure different names for different alarm\nzone states, they appear here.\n","default":"Armed","enum":["Armed","Set"]}}},"disarm":{"type":"object","properties":{"href":{"type":"string","description":"[POST](alarm-zones#post-api-alarm_zones-id-disarm) to this to disarm this\nalarm zone until the next scheduled change.\n","format":"uri-reference"},"name":{"type":"string","description":"Because a site can configure different names for different alarm\nzone states, they appear here.\n","default":"Disarmed","enum":["Disarmed","Unset"]}}},"disarmUntil":{"type":"object","properties":{"href":{"type":"string","description":"[POST](alarm-zones#post-api-alarm_zones-id-disarm) to this to disarm this\nalarm zone for a fixed time.\n","format":"uri-reference"},"name":{"type":"string","description":"Because a site can configure different names for different alarm\nzone states, they appear here.\n","default":"Disarmed","enum":["Disarmed","Unset"]}}},"user1":{"type":"object","properties":{"href":{"type":"string","description":"[POST](#path-Alarm-Zones/post/api/alarm_zones/{id}/user1) to this to set the\nalarm zone's state to user1 until the next scheduled change.\n","format":"uri-reference"},"name":{"type":"string","description":"Because a site can configure different names for different alarm\nzone states, they appear here.\n","default":"User1"}}},"user1Until":{"type":"object","properties":{"href":{"type":"string","description":"[POST](#path-Alarm-Zones/post/api/alarm_zones/{id}/user1) to this to set the\nalarm zone's state to user1 for a fixed time.\n","format":"uri-reference"},"name":{"type":"string","description":"Because a site can configure different names for different alarm\nzone states, they appear here.\n","default":"User1"}}},"user2":{"type":"object","properties":{"href":{"type":"string","description":"[POST](#path-Alarm-Zones/post/api/alarm_zones/{id}/user2) to this to set the\nalarm zone's state to user2 until the next scheduled change.\n","format":"uri-reference"},"name":{"type":"string","description":"Because a site can configure different names for different alarm\nzone states, they appear here.\n","default":"User2"}}},"user2Until":{"type":"object","properties":{"href":{"type":"string","description":"[POST](#path-Alarm-Zones/post/api/alarm_zones/{id}/user2) to this to set the\nalarm zone's state to user2 for a fixed time.\n","format":"uri-reference"},"name":{"type":"string","description":"Because a site can configure different names for different alarm\nzone states, they appear here.\n","default":"User2"}}},"cancel":{"type":"object","properties":{"href":{"type":"string","description":"[POST](alarm-zones#post-api-alarm_zones-id-cancel) to this to cancel an\nactive override on the alarm zone, returning it to its scheduled mode.\n\nThis command will not be available if the alarm zone is not\ncontrolled by a schedule (because without a schedule the alarm zone\ndoes not have the concept of a 'normal' state).\n","format":"uri-reference"}}}},"description":"A block of commands, each represented by a block containing an href that\naccepts a POST that will send an override to the alarm zone, changing its\nstate.\n\nSee the section 'Understanding Alarm Zones' in the Configuration client help\nfor a description of alarm zone states.\n\nIt will be missing if your operator does not have a privilege that allows overriding\nthe alarm zone (examples of which are in the documentation for the POSTs).\n"}}}]},"AlarmZoneSummary":{"title":"Alarm Zone summary","type":"object","properties":{"href":{"type":"string","description":"A link to an [alarm zone detail](models#alarmzonedetail) object for this alarm\nzone.  This is Command Centre's identifier for this alarm zone:  use it whenever you need\nto specify an alarm zone in REST operations.\n","format":"uri-reference"},"id":{"type":"string","description":"An alphanumeric identifier, unique to the server.\n\nThis is the ID to use in the `source` parameter of [event\nfilters](events#get-api-events) if you want to limit your events\nto particular alarm zones.\n"},"name":{"type":"string"}},"description":"`/api/alarm_zones` returns an array of these.  It is a subset of what you get from an\nalarm zone's detail page at `/api/alarm_zones/{id}` (linked as the href in this\nobject).\n"}},"responses":{"403nolicence":{"description":"A server running 8.50 or earlier is missing the RESTStatus licence.  A server running 8.60\nor later is missing both the RESTStatus and RESTOverrides licences.  One of those is enough\nfor this API call in 8.60 and later.\n"},"404alarmzone":{"description":"The request's URL does not represent an alarm zone, or the operator does not have a\nprivilege on the zone's division that allows viewing alarm zones, such as 'View Site', 'Edit\nSite', or 'Override'.\n"}}},"paths":{"/api/alarm_zones/{id}":{"get":{"tags":["Alarm Zones"],"summary":"Get details of an alarm zone","description":"This returns the detail of one alarm zone.\n\nFollow the 'href' field in an [alarm zone summary](models#alarmzonesummary) to get\nhere rather than [building it yourself](forward-compatibility-hateoas).\n","parameters":[{"name":"id","in":"path","description":"The ID of the alarm zone.","required":true,"schema":{"type":"string"}},{"name":"fields","in":"query","explode":false,"description":"This instructs the server to return only these fields in the details page instead of the default set.  The values you can list\nare the same as the field names you would see in the results.  Use it to cut back on the size\nof the response.  Separate values with commas.\n\nTreat the string matches as case-sensitive.\n\nIn v8.00 you will receive the href and internal ID even if you did not ask for them.  In 8.10\nand later you will only get what you asked for.  If you are going to send the `fields`\nparameter and need the href or ID, be explicit.\n","schema":{"type":"string","enum":["href","id","name","shortName","description","division","commands","connectedController","statusFlags","status","notes","updates"]}}],"responses":{"200":{"description":"Success.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AlarmZoneDetail"}}}},"403":{"$ref":"#/components/responses/403nolicence"},"404":{"$ref":"#/components/responses/404alarmzone"}}}}}}
```

## Arm an alarm zone

> Sends an override to an alarm zone to arm it.\
> \
> If you send an end time in the body, and the alarm zone has a schedule to consult\
> to find the state that it should return to, the override will only stay in effect\
> until then.\
> \
> If you do not, the override will remain in place until the next scheduled or\
> manual change.\
> \
> Follow one of the 'commands.arm' or 'commands.armUntil' fields in an \[alarm\
> zone]\(models#alarmzonedetail) to get here rather than \[building it\
> yourself]\(forward-compatibility-hateoas).<br>

```json
{"openapi":"3.2.0","info":{"title":"Command Centre REST API","version":"2.0"},"tags":[{"name":"Alarm Zones","description":"These methods give you read access to Alarm Zones in the Command Centre database, and\nlet you change their states:  armed, disarmed, two user-defined states, and (if at\nleast one Fence Zone is directing its events to this Alarm Zone) 'Armed - High\nVoltage' or 'Armed - Low Feel'.\n\nAlarm zones may run by a schedule, but it is optional.  Alarm zones that do not have a\nschedule change state only through manual overrides, meaning they do not have a\nnatural state.  That in turn means that you cannot override them for a duration --\nthey have no state to return to.\n\nThe first use case below introduces the main entry point.  It is a paginated search interface\nthat gives you any number of alarm zones, each containing the fields you ask for in the query.\n\n## Overrides\nNote:\n\n1. End-times on overrides are not accurate to the second.  Internally, Command Centre\n   converts the end time to a duration, so you may find that submitting end times in\n   the very near future does not have the exact effect you expect.\n2. Submitting an override without an end time makes it take effect until the next\n   state change or 'cancel untimed overrides' entry in the alarm zone's schedule.\n3. Overrides you submit via REST are not subject to the \"manual unset\" timeouts you\n   can set in the Configuration Client.  Those only affect readers, terminals, and\n   pushbuttons.\n3. The end time you set for an override cannot be in the past or more than 24 hours into\n   the future.\n\n## Alarm Zone status flags\n\nIf the alarm zone is online, its `statusFlags` field will contain one or more of these flags:\n\n- `armed` means the alarm zone is armed.  It will be called that even if you have changed the\n  terminology in the Server Properties.\n- `disarmed` as above.\n- `user1` will be called that even if you have given it a different name in Server Properties.\n- `user2` as above.\n- `exitDelay` means the zone is temporarily ignoring input triggers.  One of the previous four\n  flags shows you the state the zone is about to change away from.\n- `entryDelay` means an input has triggered the alarm zone but Command Centre is giving a\n  cardholder the opportunity to disarm the zone.\n\n- `lowFeel` means the alarm zone has a fence zone attached, and that it is in 'low feel' mode\n  (meaning it is delivering lower voltage than you would use for a strong deterrent).\n- `highVoltage` means that the alarm zone has a fence zone attached, and that it is in 'high\n  voltage' mode (meaning it is delivering a strong deterrent pulse).\n\n### Alarm Zone flag rules\n\n- If and only if the zone is online, there will be exactly one of 'armed', 'disarmed', 'user1', or\n  'user2'.  That is your test for whether an alarm zone is in error.\n- 'exitDelay' and 'entryDelay' cannot appear together.\n- If and only if the zone is online and has a fence zone, there will be exactly one of 'lowFeel'\n  or 'highVoltage'.\n\n## Use cases\n\n### Searching for alarm zones by name\n1. `GET /api`.\n2. Follow the link at `features.alarmZones.alarmZones.href`\n   [↪](alarm-zones#get-api-alarm_zones), appending a search term such as `name=substring` to\n   filter the alarm zones, and `fields` to tell the server what to return about each.  The next\n   section covers those query parameters.\n3. Process the results, following the `next` link until there isn't one.\n\n### Changing an alarm zone's state\n1. Find the href for the alarm zone using the process above.\n2. GET it.\n3. Find the API URL you require in the `commands` structure of the results, such as `arm`\n   [↪](alarm-zones#post-api-alarm_zones-id-arm) or `disarm`\n   [↪](alarm-zones#post-api-alarm_zones-id-disarm), using [the\n   detail](models#alarmzonedetail).  Use the calls with `Until` on the ends of their\n   names if you are specifying an end time.\n4. POST to that URL.  All those with `Until` in their names require a JSON object in\nthe body giving the time at which the override should end; the others do not.\n\n### Finding an alarm zone's status\n1. Find the href for the alarm zone using the process above, and GET it.\n3. Follow the `updates` [↪](alarm-zones#get-api-alarm_zones-id-updates) href from that page.\n4. Use the flag rules above to interpret the status flags you receive.\n5. Follow the `next` link to stay up to date.\n\n## Licensing\n\nAll the POSTs that override items require RESTOverrides.\n\nIf you have RESTOverrides but not RESTStatus in 8.60 or later, the GETs return enough\ninformation to let you find the item you want to override but they do not return its status.  In\n8.50 and older, the GET will fail without RESTStatus.\n\nThe RESTOverrides and RESTStatus licences do not overlap: to watch the status of an item as well\nas override it, you will need both.\n"}],"servers":[{"url":"https://127.0.0.1:8904"}],"security":[{"API_key":[]},{"basic":[]}],"components":{"securitySchemes":{"API_key":{"type":"apiKey","name":"Authorization","in":"header","description":"\nClients authenticate by including a pre-shared API key in the `Authorization` header of each\nrequest after an authorisation method of `GGL-API-KEY`:\n\n`Authorization: GGL-API-KEY C774-B01F-D695-AA4B-215F-A158-AC22-ADEB`\n\nFor a fuller description see [API authentication](api-authentication).\n"},"basic":{"type":"http","scheme":"basic","description":"This is HTTP Basic authentication using a blank username and the API key as the password.\n\nExample:  `Authorization: Basic OkM3NzQtQjAxRi1ENjk1LUFBNEItMjE1Ri1BMTU4LUFDMjItQURFQg==`\n\nThat example is equivalent to the example in the description of the api_Key method:\nprepending a colon to the API key beginning with `C774` then encoding it into Base64\nproduces the 56 characters beginning with `OkM3`.\n\nThe colon is a separator between a username, which is blank in our case, and the password,\nwhich is our API key.\n\nFor a fuller description see [API authentication](api-authentication)\n"}},"parameters":{"requested_by":{"name":"requested_by","in":"query","required":false,"schema":{"type":"string"},"description":"Attributes this override to the cardholder with this ID rather than the REST operator.\nPrivilege checks will use the operator as normal, but event monitors and reports will state\nthat the person responsible for the override was the attributed cardholder, not the REST\noperator.  The REST operator will appear in a special mention in the event's details.\n\nFirst available in 8.70.  Versions older than 8.70 will ignore the parameter, leaving the\noverride attributed to the REST operator.\n"}},"requestBodies":{"OverrideEndTime":{"description":"Put this in the body of override POSTs to set the time at which the override should cease.\nThe API will reject the override if the string is not empty and it cannot parse it into a\ndate-time, but it will treat the override as having no end time if you misspell 'endTime'\nor if you send a blank string.\n\nCommand Centre computes an override's duration to a whole number of minutes with a minimum\nof one.  That means that a timed override will always end at a multiple of sixty seconds\nfrom the time the hardware receives the override request, which means the override will end\nwithin thirty seconds of the time you supplied here.  In versions older than 8.80, the\ndiscrepancy may be up to a minute.\n\nCareful observation of overrides submitted from the Configuration client and from the API\nwill reveal that they use different rounding methods.  Be assured, both result in overrides\nending within a minute of the requested time.\n","required":false,"content":{"application/json":{"schema":{"type":"object","properties":{"endTime":{"type":"string","format":"date-time"}}}}}}},"responses":{"400badbody":{"description":"The server could not parse the POST parameters.  There could be a syntax error in your JSON.\n"},"403alarmzoneoverride":{"description":"The site does not have the RESTOverrides licence (in which case the body of the result will\nsay so), or the operator does not have a privilege that allows overriding alarm zones (such as\n'Override').\n"}}},"paths":{"/api/alarm_zones/{id}/arm":{"post":{"tags":["Alarm Zones"],"summary":"Arm an alarm zone","description":"Sends an override to an alarm zone to arm it.\n\nIf you send an end time in the body, and the alarm zone has a schedule to consult\nto find the state that it should return to, the override will only stay in effect\nuntil then.\n\nIf you do not, the override will remain in place until the next scheduled or\nmanual change.\n\nFollow one of the 'commands.arm' or 'commands.armUntil' fields in an [alarm\nzone](models#alarmzonedetail) to get here rather than [building it\nyourself](forward-compatibility-hateoas).\n","parameters":[{"name":"id","in":"path","description":"The ID of the alarm zone.","required":true,"schema":{"type":"string"}},{"$ref":"#/components/parameters/requested_by"}],"requestBody":{"$ref":"#/components/requestBodies/OverrideEndTime"},"responses":{"204":{"description":"Success."},"400":{"$ref":"#/components/responses/400badbody"},"403":{"$ref":"#/components/responses/403alarmzoneoverride"}}}}}}
```

## Disarm an alarm zone

> Sends an override to an alarm zone to disarm it.\
> \
> If you send an end time in the body, and the alarm zone has a schedule to consult\
> to find the state that it should return to, the override will only stay in effect\
> until then.\
> \
> If you do not, the override will remain in place until the next scheduled or\
> manual change.\
> \
> Follow one of the 'commands.disarm' or 'commands.disarmUntil' fields in an \[alarm\
> zone]\(models#alarmzonedetail) to get here rather than \[building it\
> yourself]\(forward-compatibility-hateoas).<br>

```json
{"openapi":"3.2.0","info":{"title":"Command Centre REST API","version":"2.0"},"tags":[{"name":"Alarm Zones","description":"These methods give you read access to Alarm Zones in the Command Centre database, and\nlet you change their states:  armed, disarmed, two user-defined states, and (if at\nleast one Fence Zone is directing its events to this Alarm Zone) 'Armed - High\nVoltage' or 'Armed - Low Feel'.\n\nAlarm zones may run by a schedule, but it is optional.  Alarm zones that do not have a\nschedule change state only through manual overrides, meaning they do not have a\nnatural state.  That in turn means that you cannot override them for a duration --\nthey have no state to return to.\n\nThe first use case below introduces the main entry point.  It is a paginated search interface\nthat gives you any number of alarm zones, each containing the fields you ask for in the query.\n\n## Overrides\nNote:\n\n1. End-times on overrides are not accurate to the second.  Internally, Command Centre\n   converts the end time to a duration, so you may find that submitting end times in\n   the very near future does not have the exact effect you expect.\n2. Submitting an override without an end time makes it take effect until the next\n   state change or 'cancel untimed overrides' entry in the alarm zone's schedule.\n3. Overrides you submit via REST are not subject to the \"manual unset\" timeouts you\n   can set in the Configuration Client.  Those only affect readers, terminals, and\n   pushbuttons.\n3. The end time you set for an override cannot be in the past or more than 24 hours into\n   the future.\n\n## Alarm Zone status flags\n\nIf the alarm zone is online, its `statusFlags` field will contain one or more of these flags:\n\n- `armed` means the alarm zone is armed.  It will be called that even if you have changed the\n  terminology in the Server Properties.\n- `disarmed` as above.\n- `user1` will be called that even if you have given it a different name in Server Properties.\n- `user2` as above.\n- `exitDelay` means the zone is temporarily ignoring input triggers.  One of the previous four\n  flags shows you the state the zone is about to change away from.\n- `entryDelay` means an input has triggered the alarm zone but Command Centre is giving a\n  cardholder the opportunity to disarm the zone.\n\n- `lowFeel` means the alarm zone has a fence zone attached, and that it is in 'low feel' mode\n  (meaning it is delivering lower voltage than you would use for a strong deterrent).\n- `highVoltage` means that the alarm zone has a fence zone attached, and that it is in 'high\n  voltage' mode (meaning it is delivering a strong deterrent pulse).\n\n### Alarm Zone flag rules\n\n- If and only if the zone is online, there will be exactly one of 'armed', 'disarmed', 'user1', or\n  'user2'.  That is your test for whether an alarm zone is in error.\n- 'exitDelay' and 'entryDelay' cannot appear together.\n- If and only if the zone is online and has a fence zone, there will be exactly one of 'lowFeel'\n  or 'highVoltage'.\n\n## Use cases\n\n### Searching for alarm zones by name\n1. `GET /api`.\n2. Follow the link at `features.alarmZones.alarmZones.href`\n   [↪](alarm-zones#get-api-alarm_zones), appending a search term such as `name=substring` to\n   filter the alarm zones, and `fields` to tell the server what to return about each.  The next\n   section covers those query parameters.\n3. Process the results, following the `next` link until there isn't one.\n\n### Changing an alarm zone's state\n1. Find the href for the alarm zone using the process above.\n2. GET it.\n3. Find the API URL you require in the `commands` structure of the results, such as `arm`\n   [↪](alarm-zones#post-api-alarm_zones-id-arm) or `disarm`\n   [↪](alarm-zones#post-api-alarm_zones-id-disarm), using [the\n   detail](models#alarmzonedetail).  Use the calls with `Until` on the ends of their\n   names if you are specifying an end time.\n4. POST to that URL.  All those with `Until` in their names require a JSON object in\nthe body giving the time at which the override should end; the others do not.\n\n### Finding an alarm zone's status\n1. Find the href for the alarm zone using the process above, and GET it.\n3. Follow the `updates` [↪](alarm-zones#get-api-alarm_zones-id-updates) href from that page.\n4. Use the flag rules above to interpret the status flags you receive.\n5. Follow the `next` link to stay up to date.\n\n## Licensing\n\nAll the POSTs that override items require RESTOverrides.\n\nIf you have RESTOverrides but not RESTStatus in 8.60 or later, the GETs return enough\ninformation to let you find the item you want to override but they do not return its status.  In\n8.50 and older, the GET will fail without RESTStatus.\n\nThe RESTOverrides and RESTStatus licences do not overlap: to watch the status of an item as well\nas override it, you will need both.\n"}],"servers":[{"url":"https://127.0.0.1:8904"}],"security":[{"API_key":[]},{"basic":[]}],"components":{"securitySchemes":{"API_key":{"type":"apiKey","name":"Authorization","in":"header","description":"\nClients authenticate by including a pre-shared API key in the `Authorization` header of each\nrequest after an authorisation method of `GGL-API-KEY`:\n\n`Authorization: GGL-API-KEY C774-B01F-D695-AA4B-215F-A158-AC22-ADEB`\n\nFor a fuller description see [API authentication](api-authentication).\n"},"basic":{"type":"http","scheme":"basic","description":"This is HTTP Basic authentication using a blank username and the API key as the password.\n\nExample:  `Authorization: Basic OkM3NzQtQjAxRi1ENjk1LUFBNEItMjE1Ri1BMTU4LUFDMjItQURFQg==`\n\nThat example is equivalent to the example in the description of the api_Key method:\nprepending a colon to the API key beginning with `C774` then encoding it into Base64\nproduces the 56 characters beginning with `OkM3`.\n\nThe colon is a separator between a username, which is blank in our case, and the password,\nwhich is our API key.\n\nFor a fuller description see [API authentication](api-authentication)\n"}},"parameters":{"requested_by":{"name":"requested_by","in":"query","required":false,"schema":{"type":"string"},"description":"Attributes this override to the cardholder with this ID rather than the REST operator.\nPrivilege checks will use the operator as normal, but event monitors and reports will state\nthat the person responsible for the override was the attributed cardholder, not the REST\noperator.  The REST operator will appear in a special mention in the event's details.\n\nFirst available in 8.70.  Versions older than 8.70 will ignore the parameter, leaving the\noverride attributed to the REST operator.\n"}},"requestBodies":{"OverrideEndTime":{"description":"Put this in the body of override POSTs to set the time at which the override should cease.\nThe API will reject the override if the string is not empty and it cannot parse it into a\ndate-time, but it will treat the override as having no end time if you misspell 'endTime'\nor if you send a blank string.\n\nCommand Centre computes an override's duration to a whole number of minutes with a minimum\nof one.  That means that a timed override will always end at a multiple of sixty seconds\nfrom the time the hardware receives the override request, which means the override will end\nwithin thirty seconds of the time you supplied here.  In versions older than 8.80, the\ndiscrepancy may be up to a minute.\n\nCareful observation of overrides submitted from the Configuration client and from the API\nwill reveal that they use different rounding methods.  Be assured, both result in overrides\nending within a minute of the requested time.\n","required":false,"content":{"application/json":{"schema":{"type":"object","properties":{"endTime":{"type":"string","format":"date-time"}}}}}}},"responses":{"400badbody":{"description":"The server could not parse the POST parameters.  There could be a syntax error in your JSON.\n"},"403alarmzoneoverride":{"description":"The site does not have the RESTOverrides licence (in which case the body of the result will\nsay so), or the operator does not have a privilege that allows overriding alarm zones (such as\n'Override').\n"}}},"paths":{"/api/alarm_zones/{id}/disarm":{"post":{"tags":["Alarm Zones"],"summary":"Disarm an alarm zone","description":"Sends an override to an alarm zone to disarm it.\n\nIf you send an end time in the body, and the alarm zone has a schedule to consult\nto find the state that it should return to, the override will only stay in effect\nuntil then.\n\nIf you do not, the override will remain in place until the next scheduled or\nmanual change.\n\nFollow one of the 'commands.disarm' or 'commands.disarmUntil' fields in an [alarm\nzone](models#alarmzonedetail) to get here rather than [building it\nyourself](forward-compatibility-hateoas).\n","parameters":[{"name":"id","in":"path","description":"The ID of the alarm zone.","required":true,"schema":{"type":"string"}},{"$ref":"#/components/parameters/requested_by"}],"requestBody":{"$ref":"#/components/requestBodies/OverrideEndTime"},"responses":{"204":{"description":"Success."},"400":{"$ref":"#/components/responses/400badbody"},"403":{"$ref":"#/components/responses/403alarmzoneoverride"}}}}}}
```

## Change an alarm zone to user1

> Sends an override to an alarm zone to set its state to 'user1', one of the custom states.\
> \
> If you send an end time in the body, and the alarm zone has a schedule to consult\
> to find the state that it should return to, the override will only stay in effect\
> until then.\
> \
> If you do not, the override will remain in place until the next scheduled or\
> manual change.\
> \
> Follow one of the 'commands.user1' or 'commands.user1Until' fields in an \[alarm\
> zone]\(models#alarmzonedetail) to get here rather than \[building it\
> yourself]\(forward-compatibility-hateoas).<br>

```json
{"openapi":"3.2.0","info":{"title":"Command Centre REST API","version":"2.0"},"tags":[{"name":"Alarm Zones","description":"These methods give you read access to Alarm Zones in the Command Centre database, and\nlet you change their states:  armed, disarmed, two user-defined states, and (if at\nleast one Fence Zone is directing its events to this Alarm Zone) 'Armed - High\nVoltage' or 'Armed - Low Feel'.\n\nAlarm zones may run by a schedule, but it is optional.  Alarm zones that do not have a\nschedule change state only through manual overrides, meaning they do not have a\nnatural state.  That in turn means that you cannot override them for a duration --\nthey have no state to return to.\n\nThe first use case below introduces the main entry point.  It is a paginated search interface\nthat gives you any number of alarm zones, each containing the fields you ask for in the query.\n\n## Overrides\nNote:\n\n1. End-times on overrides are not accurate to the second.  Internally, Command Centre\n   converts the end time to a duration, so you may find that submitting end times in\n   the very near future does not have the exact effect you expect.\n2. Submitting an override without an end time makes it take effect until the next\n   state change or 'cancel untimed overrides' entry in the alarm zone's schedule.\n3. Overrides you submit via REST are not subject to the \"manual unset\" timeouts you\n   can set in the Configuration Client.  Those only affect readers, terminals, and\n   pushbuttons.\n3. The end time you set for an override cannot be in the past or more than 24 hours into\n   the future.\n\n## Alarm Zone status flags\n\nIf the alarm zone is online, its `statusFlags` field will contain one or more of these flags:\n\n- `armed` means the alarm zone is armed.  It will be called that even if you have changed the\n  terminology in the Server Properties.\n- `disarmed` as above.\n- `user1` will be called that even if you have given it a different name in Server Properties.\n- `user2` as above.\n- `exitDelay` means the zone is temporarily ignoring input triggers.  One of the previous four\n  flags shows you the state the zone is about to change away from.\n- `entryDelay` means an input has triggered the alarm zone but Command Centre is giving a\n  cardholder the opportunity to disarm the zone.\n\n- `lowFeel` means the alarm zone has a fence zone attached, and that it is in 'low feel' mode\n  (meaning it is delivering lower voltage than you would use for a strong deterrent).\n- `highVoltage` means that the alarm zone has a fence zone attached, and that it is in 'high\n  voltage' mode (meaning it is delivering a strong deterrent pulse).\n\n### Alarm Zone flag rules\n\n- If and only if the zone is online, there will be exactly one of 'armed', 'disarmed', 'user1', or\n  'user2'.  That is your test for whether an alarm zone is in error.\n- 'exitDelay' and 'entryDelay' cannot appear together.\n- If and only if the zone is online and has a fence zone, there will be exactly one of 'lowFeel'\n  or 'highVoltage'.\n\n## Use cases\n\n### Searching for alarm zones by name\n1. `GET /api`.\n2. Follow the link at `features.alarmZones.alarmZones.href`\n   [↪](alarm-zones#get-api-alarm_zones), appending a search term such as `name=substring` to\n   filter the alarm zones, and `fields` to tell the server what to return about each.  The next\n   section covers those query parameters.\n3. Process the results, following the `next` link until there isn't one.\n\n### Changing an alarm zone's state\n1. Find the href for the alarm zone using the process above.\n2. GET it.\n3. Find the API URL you require in the `commands` structure of the results, such as `arm`\n   [↪](alarm-zones#post-api-alarm_zones-id-arm) or `disarm`\n   [↪](alarm-zones#post-api-alarm_zones-id-disarm), using [the\n   detail](models#alarmzonedetail).  Use the calls with `Until` on the ends of their\n   names if you are specifying an end time.\n4. POST to that URL.  All those with `Until` in their names require a JSON object in\nthe body giving the time at which the override should end; the others do not.\n\n### Finding an alarm zone's status\n1. Find the href for the alarm zone using the process above, and GET it.\n3. Follow the `updates` [↪](alarm-zones#get-api-alarm_zones-id-updates) href from that page.\n4. Use the flag rules above to interpret the status flags you receive.\n5. Follow the `next` link to stay up to date.\n\n## Licensing\n\nAll the POSTs that override items require RESTOverrides.\n\nIf you have RESTOverrides but not RESTStatus in 8.60 or later, the GETs return enough\ninformation to let you find the item you want to override but they do not return its status.  In\n8.50 and older, the GET will fail without RESTStatus.\n\nThe RESTOverrides and RESTStatus licences do not overlap: to watch the status of an item as well\nas override it, you will need both.\n"}],"servers":[{"url":"https://127.0.0.1:8904"}],"security":[{"API_key":[]},{"basic":[]}],"components":{"securitySchemes":{"API_key":{"type":"apiKey","name":"Authorization","in":"header","description":"\nClients authenticate by including a pre-shared API key in the `Authorization` header of each\nrequest after an authorisation method of `GGL-API-KEY`:\n\n`Authorization: GGL-API-KEY C774-B01F-D695-AA4B-215F-A158-AC22-ADEB`\n\nFor a fuller description see [API authentication](api-authentication).\n"},"basic":{"type":"http","scheme":"basic","description":"This is HTTP Basic authentication using a blank username and the API key as the password.\n\nExample:  `Authorization: Basic OkM3NzQtQjAxRi1ENjk1LUFBNEItMjE1Ri1BMTU4LUFDMjItQURFQg==`\n\nThat example is equivalent to the example in the description of the api_Key method:\nprepending a colon to the API key beginning with `C774` then encoding it into Base64\nproduces the 56 characters beginning with `OkM3`.\n\nThe colon is a separator between a username, which is blank in our case, and the password,\nwhich is our API key.\n\nFor a fuller description see [API authentication](api-authentication)\n"}},"parameters":{"requested_by":{"name":"requested_by","in":"query","required":false,"schema":{"type":"string"},"description":"Attributes this override to the cardholder with this ID rather than the REST operator.\nPrivilege checks will use the operator as normal, but event monitors and reports will state\nthat the person responsible for the override was the attributed cardholder, not the REST\noperator.  The REST operator will appear in a special mention in the event's details.\n\nFirst available in 8.70.  Versions older than 8.70 will ignore the parameter, leaving the\noverride attributed to the REST operator.\n"}},"requestBodies":{"OverrideEndTime":{"description":"Put this in the body of override POSTs to set the time at which the override should cease.\nThe API will reject the override if the string is not empty and it cannot parse it into a\ndate-time, but it will treat the override as having no end time if you misspell 'endTime'\nor if you send a blank string.\n\nCommand Centre computes an override's duration to a whole number of minutes with a minimum\nof one.  That means that a timed override will always end at a multiple of sixty seconds\nfrom the time the hardware receives the override request, which means the override will end\nwithin thirty seconds of the time you supplied here.  In versions older than 8.80, the\ndiscrepancy may be up to a minute.\n\nCareful observation of overrides submitted from the Configuration client and from the API\nwill reveal that they use different rounding methods.  Be assured, both result in overrides\nending within a minute of the requested time.\n","required":false,"content":{"application/json":{"schema":{"type":"object","properties":{"endTime":{"type":"string","format":"date-time"}}}}}}},"responses":{"400badbody":{"description":"The server could not parse the POST parameters.  There could be a syntax error in your JSON.\n"},"403alarmzoneoverride":{"description":"The site does not have the RESTOverrides licence (in which case the body of the result will\nsay so), or the operator does not have a privilege that allows overriding alarm zones (such as\n'Override').\n"}}},"paths":{"/api/alarm_zones/{id}/user1":{"post":{"tags":["Alarm Zones"],"summary":"Change an alarm zone to user1","description":"Sends an override to an alarm zone to set its state to 'user1', one of the custom states.\n\nIf you send an end time in the body, and the alarm zone has a schedule to consult\nto find the state that it should return to, the override will only stay in effect\nuntil then.\n\nIf you do not, the override will remain in place until the next scheduled or\nmanual change.\n\nFollow one of the 'commands.user1' or 'commands.user1Until' fields in an [alarm\nzone](models#alarmzonedetail) to get here rather than [building it\nyourself](forward-compatibility-hateoas).\n","parameters":[{"name":"id","in":"path","description":"The ID of the alarm zone.","required":true,"schema":{"type":"string"}},{"$ref":"#/components/parameters/requested_by"}],"requestBody":{"$ref":"#/components/requestBodies/OverrideEndTime"},"responses":{"204":{"description":"Success."},"400":{"$ref":"#/components/responses/400badbody"},"403":{"$ref":"#/components/responses/403alarmzoneoverride"}}}}}}
```

## Change an alarm zone to user2

> Sends an override to an alarm zone to set its state to 'user2', the other of the custom\
> states.\
> \
> If you send an end time in the body, and the alarm zone has a schedule to consult\
> to find the state that it should return to, the override will only stay in effect\
> until then.\
> \
> If you do not, the override will remain in place until the next scheduled or\
> manual change.\
> \
> Follow one of the 'commands.user2' or 'commands.user2Until' fields in an \[alarm\
> zone]\(models#alarmzonedetail) to get here rather than \[building it\
> yourself]\(forward-compatibility-hateoas).<br>

```json
{"openapi":"3.2.0","info":{"title":"Command Centre REST API","version":"2.0"},"tags":[{"name":"Alarm Zones","description":"These methods give you read access to Alarm Zones in the Command Centre database, and\nlet you change their states:  armed, disarmed, two user-defined states, and (if at\nleast one Fence Zone is directing its events to this Alarm Zone) 'Armed - High\nVoltage' or 'Armed - Low Feel'.\n\nAlarm zones may run by a schedule, but it is optional.  Alarm zones that do not have a\nschedule change state only through manual overrides, meaning they do not have a\nnatural state.  That in turn means that you cannot override them for a duration --\nthey have no state to return to.\n\nThe first use case below introduces the main entry point.  It is a paginated search interface\nthat gives you any number of alarm zones, each containing the fields you ask for in the query.\n\n## Overrides\nNote:\n\n1. End-times on overrides are not accurate to the second.  Internally, Command Centre\n   converts the end time to a duration, so you may find that submitting end times in\n   the very near future does not have the exact effect you expect.\n2. Submitting an override without an end time makes it take effect until the next\n   state change or 'cancel untimed overrides' entry in the alarm zone's schedule.\n3. Overrides you submit via REST are not subject to the \"manual unset\" timeouts you\n   can set in the Configuration Client.  Those only affect readers, terminals, and\n   pushbuttons.\n3. The end time you set for an override cannot be in the past or more than 24 hours into\n   the future.\n\n## Alarm Zone status flags\n\nIf the alarm zone is online, its `statusFlags` field will contain one or more of these flags:\n\n- `armed` means the alarm zone is armed.  It will be called that even if you have changed the\n  terminology in the Server Properties.\n- `disarmed` as above.\n- `user1` will be called that even if you have given it a different name in Server Properties.\n- `user2` as above.\n- `exitDelay` means the zone is temporarily ignoring input triggers.  One of the previous four\n  flags shows you the state the zone is about to change away from.\n- `entryDelay` means an input has triggered the alarm zone but Command Centre is giving a\n  cardholder the opportunity to disarm the zone.\n\n- `lowFeel` means the alarm zone has a fence zone attached, and that it is in 'low feel' mode\n  (meaning it is delivering lower voltage than you would use for a strong deterrent).\n- `highVoltage` means that the alarm zone has a fence zone attached, and that it is in 'high\n  voltage' mode (meaning it is delivering a strong deterrent pulse).\n\n### Alarm Zone flag rules\n\n- If and only if the zone is online, there will be exactly one of 'armed', 'disarmed', 'user1', or\n  'user2'.  That is your test for whether an alarm zone is in error.\n- 'exitDelay' and 'entryDelay' cannot appear together.\n- If and only if the zone is online and has a fence zone, there will be exactly one of 'lowFeel'\n  or 'highVoltage'.\n\n## Use cases\n\n### Searching for alarm zones by name\n1. `GET /api`.\n2. Follow the link at `features.alarmZones.alarmZones.href`\n   [↪](alarm-zones#get-api-alarm_zones), appending a search term such as `name=substring` to\n   filter the alarm zones, and `fields` to tell the server what to return about each.  The next\n   section covers those query parameters.\n3. Process the results, following the `next` link until there isn't one.\n\n### Changing an alarm zone's state\n1. Find the href for the alarm zone using the process above.\n2. GET it.\n3. Find the API URL you require in the `commands` structure of the results, such as `arm`\n   [↪](alarm-zones#post-api-alarm_zones-id-arm) or `disarm`\n   [↪](alarm-zones#post-api-alarm_zones-id-disarm), using [the\n   detail](models#alarmzonedetail).  Use the calls with `Until` on the ends of their\n   names if you are specifying an end time.\n4. POST to that URL.  All those with `Until` in their names require a JSON object in\nthe body giving the time at which the override should end; the others do not.\n\n### Finding an alarm zone's status\n1. Find the href for the alarm zone using the process above, and GET it.\n3. Follow the `updates` [↪](alarm-zones#get-api-alarm_zones-id-updates) href from that page.\n4. Use the flag rules above to interpret the status flags you receive.\n5. Follow the `next` link to stay up to date.\n\n## Licensing\n\nAll the POSTs that override items require RESTOverrides.\n\nIf you have RESTOverrides but not RESTStatus in 8.60 or later, the GETs return enough\ninformation to let you find the item you want to override but they do not return its status.  In\n8.50 and older, the GET will fail without RESTStatus.\n\nThe RESTOverrides and RESTStatus licences do not overlap: to watch the status of an item as well\nas override it, you will need both.\n"}],"servers":[{"url":"https://127.0.0.1:8904"}],"security":[{"API_key":[]},{"basic":[]}],"components":{"securitySchemes":{"API_key":{"type":"apiKey","name":"Authorization","in":"header","description":"\nClients authenticate by including a pre-shared API key in the `Authorization` header of each\nrequest after an authorisation method of `GGL-API-KEY`:\n\n`Authorization: GGL-API-KEY C774-B01F-D695-AA4B-215F-A158-AC22-ADEB`\n\nFor a fuller description see [API authentication](api-authentication).\n"},"basic":{"type":"http","scheme":"basic","description":"This is HTTP Basic authentication using a blank username and the API key as the password.\n\nExample:  `Authorization: Basic OkM3NzQtQjAxRi1ENjk1LUFBNEItMjE1Ri1BMTU4LUFDMjItQURFQg==`\n\nThat example is equivalent to the example in the description of the api_Key method:\nprepending a colon to the API key beginning with `C774` then encoding it into Base64\nproduces the 56 characters beginning with `OkM3`.\n\nThe colon is a separator between a username, which is blank in our case, and the password,\nwhich is our API key.\n\nFor a fuller description see [API authentication](api-authentication)\n"}},"parameters":{"requested_by":{"name":"requested_by","in":"query","required":false,"schema":{"type":"string"},"description":"Attributes this override to the cardholder with this ID rather than the REST operator.\nPrivilege checks will use the operator as normal, but event monitors and reports will state\nthat the person responsible for the override was the attributed cardholder, not the REST\noperator.  The REST operator will appear in a special mention in the event's details.\n\nFirst available in 8.70.  Versions older than 8.70 will ignore the parameter, leaving the\noverride attributed to the REST operator.\n"}},"requestBodies":{"OverrideEndTime":{"description":"Put this in the body of override POSTs to set the time at which the override should cease.\nThe API will reject the override if the string is not empty and it cannot parse it into a\ndate-time, but it will treat the override as having no end time if you misspell 'endTime'\nor if you send a blank string.\n\nCommand Centre computes an override's duration to a whole number of minutes with a minimum\nof one.  That means that a timed override will always end at a multiple of sixty seconds\nfrom the time the hardware receives the override request, which means the override will end\nwithin thirty seconds of the time you supplied here.  In versions older than 8.80, the\ndiscrepancy may be up to a minute.\n\nCareful observation of overrides submitted from the Configuration client and from the API\nwill reveal that they use different rounding methods.  Be assured, both result in overrides\nending within a minute of the requested time.\n","required":false,"content":{"application/json":{"schema":{"type":"object","properties":{"endTime":{"type":"string","format":"date-time"}}}}}}},"responses":{"400badbody":{"description":"The server could not parse the POST parameters.  There could be a syntax error in your JSON.\n"},"403alarmzoneoverride":{"description":"The site does not have the RESTOverrides licence (in which case the body of the result will\nsay so), or the operator does not have a privilege that allows overriding alarm zones (such as\n'Override').\n"}}},"paths":{"/api/alarm_zones/{id}/user2":{"post":{"tags":["Alarm Zones"],"summary":"Change an alarm zone to user2","description":"Sends an override to an alarm zone to set its state to 'user2', the other of the custom\nstates.\n\nIf you send an end time in the body, and the alarm zone has a schedule to consult\nto find the state that it should return to, the override will only stay in effect\nuntil then.\n\nIf you do not, the override will remain in place until the next scheduled or\nmanual change.\n\nFollow one of the 'commands.user2' or 'commands.user2Until' fields in an [alarm\nzone](models#alarmzonedetail) to get here rather than [building it\nyourself](forward-compatibility-hateoas).\n","parameters":[{"name":"id","in":"path","description":"The ID of the alarm zone.","required":true,"schema":{"type":"string"}},{"$ref":"#/components/parameters/requested_by"}],"requestBody":{"$ref":"#/components/requestBodies/OverrideEndTime"},"responses":{"204":{"description":"Success."},"400":{"$ref":"#/components/responses/400badbody"},"403":{"$ref":"#/components/responses/403alarmzoneoverride"}}}}}}
```

## Arm an alarm zone (high voltage)

> Sends an override to an alarm zone to set its state to 'armed - high voltage'.\
> \
> If you send an end time in the body, and the alarm zone has a schedule to consult\
> to find the state that it should return to, the override will only stay in effect\
> until then.\
> \
> If you do not, the override will remain in place until the next scheduled or\
> manual change.\
> \
> Follow one of the \`commands.highVoltage\` or \`commands.highVoltageUntil\` fields in an \[alarm\
> zone]\(models#alarmzonedetail) to get here rather than \[building it\
> yourself]\(forward-compatibility-hateoas).<br>

```json
{"openapi":"3.2.0","info":{"title":"Command Centre REST API","version":"2.0"},"tags":[{"name":"Alarm Zones","description":"These methods give you read access to Alarm Zones in the Command Centre database, and\nlet you change their states:  armed, disarmed, two user-defined states, and (if at\nleast one Fence Zone is directing its events to this Alarm Zone) 'Armed - High\nVoltage' or 'Armed - Low Feel'.\n\nAlarm zones may run by a schedule, but it is optional.  Alarm zones that do not have a\nschedule change state only through manual overrides, meaning they do not have a\nnatural state.  That in turn means that you cannot override them for a duration --\nthey have no state to return to.\n\nThe first use case below introduces the main entry point.  It is a paginated search interface\nthat gives you any number of alarm zones, each containing the fields you ask for in the query.\n\n## Overrides\nNote:\n\n1. End-times on overrides are not accurate to the second.  Internally, Command Centre\n   converts the end time to a duration, so you may find that submitting end times in\n   the very near future does not have the exact effect you expect.\n2. Submitting an override without an end time makes it take effect until the next\n   state change or 'cancel untimed overrides' entry in the alarm zone's schedule.\n3. Overrides you submit via REST are not subject to the \"manual unset\" timeouts you\n   can set in the Configuration Client.  Those only affect readers, terminals, and\n   pushbuttons.\n3. The end time you set for an override cannot be in the past or more than 24 hours into\n   the future.\n\n## Alarm Zone status flags\n\nIf the alarm zone is online, its `statusFlags` field will contain one or more of these flags:\n\n- `armed` means the alarm zone is armed.  It will be called that even if you have changed the\n  terminology in the Server Properties.\n- `disarmed` as above.\n- `user1` will be called that even if you have given it a different name in Server Properties.\n- `user2` as above.\n- `exitDelay` means the zone is temporarily ignoring input triggers.  One of the previous four\n  flags shows you the state the zone is about to change away from.\n- `entryDelay` means an input has triggered the alarm zone but Command Centre is giving a\n  cardholder the opportunity to disarm the zone.\n\n- `lowFeel` means the alarm zone has a fence zone attached, and that it is in 'low feel' mode\n  (meaning it is delivering lower voltage than you would use for a strong deterrent).\n- `highVoltage` means that the alarm zone has a fence zone attached, and that it is in 'high\n  voltage' mode (meaning it is delivering a strong deterrent pulse).\n\n### Alarm Zone flag rules\n\n- If and only if the zone is online, there will be exactly one of 'armed', 'disarmed', 'user1', or\n  'user2'.  That is your test for whether an alarm zone is in error.\n- 'exitDelay' and 'entryDelay' cannot appear together.\n- If and only if the zone is online and has a fence zone, there will be exactly one of 'lowFeel'\n  or 'highVoltage'.\n\n## Use cases\n\n### Searching for alarm zones by name\n1. `GET /api`.\n2. Follow the link at `features.alarmZones.alarmZones.href`\n   [↪](alarm-zones#get-api-alarm_zones), appending a search term such as `name=substring` to\n   filter the alarm zones, and `fields` to tell the server what to return about each.  The next\n   section covers those query parameters.\n3. Process the results, following the `next` link until there isn't one.\n\n### Changing an alarm zone's state\n1. Find the href for the alarm zone using the process above.\n2. GET it.\n3. Find the API URL you require in the `commands` structure of the results, such as `arm`\n   [↪](alarm-zones#post-api-alarm_zones-id-arm) or `disarm`\n   [↪](alarm-zones#post-api-alarm_zones-id-disarm), using [the\n   detail](models#alarmzonedetail).  Use the calls with `Until` on the ends of their\n   names if you are specifying an end time.\n4. POST to that URL.  All those with `Until` in their names require a JSON object in\nthe body giving the time at which the override should end; the others do not.\n\n### Finding an alarm zone's status\n1. Find the href for the alarm zone using the process above, and GET it.\n3. Follow the `updates` [↪](alarm-zones#get-api-alarm_zones-id-updates) href from that page.\n4. Use the flag rules above to interpret the status flags you receive.\n5. Follow the `next` link to stay up to date.\n\n## Licensing\n\nAll the POSTs that override items require RESTOverrides.\n\nIf you have RESTOverrides but not RESTStatus in 8.60 or later, the GETs return enough\ninformation to let you find the item you want to override but they do not return its status.  In\n8.50 and older, the GET will fail without RESTStatus.\n\nThe RESTOverrides and RESTStatus licences do not overlap: to watch the status of an item as well\nas override it, you will need both.\n"}],"servers":[{"url":"https://127.0.0.1:8904"}],"security":[{"API_key":[]},{"basic":[]}],"components":{"securitySchemes":{"API_key":{"type":"apiKey","name":"Authorization","in":"header","description":"\nClients authenticate by including a pre-shared API key in the `Authorization` header of each\nrequest after an authorisation method of `GGL-API-KEY`:\n\n`Authorization: GGL-API-KEY C774-B01F-D695-AA4B-215F-A158-AC22-ADEB`\n\nFor a fuller description see [API authentication](api-authentication).\n"},"basic":{"type":"http","scheme":"basic","description":"This is HTTP Basic authentication using a blank username and the API key as the password.\n\nExample:  `Authorization: Basic OkM3NzQtQjAxRi1ENjk1LUFBNEItMjE1Ri1BMTU4LUFDMjItQURFQg==`\n\nThat example is equivalent to the example in the description of the api_Key method:\nprepending a colon to the API key beginning with `C774` then encoding it into Base64\nproduces the 56 characters beginning with `OkM3`.\n\nThe colon is a separator between a username, which is blank in our case, and the password,\nwhich is our API key.\n\nFor a fuller description see [API authentication](api-authentication)\n"}},"parameters":{"requested_by":{"name":"requested_by","in":"query","required":false,"schema":{"type":"string"},"description":"Attributes this override to the cardholder with this ID rather than the REST operator.\nPrivilege checks will use the operator as normal, but event monitors and reports will state\nthat the person responsible for the override was the attributed cardholder, not the REST\noperator.  The REST operator will appear in a special mention in the event's details.\n\nFirst available in 8.70.  Versions older than 8.70 will ignore the parameter, leaving the\noverride attributed to the REST operator.\n"}},"requestBodies":{"OverrideEndTime":{"description":"Put this in the body of override POSTs to set the time at which the override should cease.\nThe API will reject the override if the string is not empty and it cannot parse it into a\ndate-time, but it will treat the override as having no end time if you misspell 'endTime'\nor if you send a blank string.\n\nCommand Centre computes an override's duration to a whole number of minutes with a minimum\nof one.  That means that a timed override will always end at a multiple of sixty seconds\nfrom the time the hardware receives the override request, which means the override will end\nwithin thirty seconds of the time you supplied here.  In versions older than 8.80, the\ndiscrepancy may be up to a minute.\n\nCareful observation of overrides submitted from the Configuration client and from the API\nwill reveal that they use different rounding methods.  Be assured, both result in overrides\nending within a minute of the requested time.\n","required":false,"content":{"application/json":{"schema":{"type":"object","properties":{"endTime":{"type":"string","format":"date-time"}}}}}}},"responses":{"400badbody":{"description":"The server could not parse the POST parameters.  There could be a syntax error in your JSON.\n"},"403alarmzoneoverride":{"description":"The site does not have the RESTOverrides licence (in which case the body of the result will\nsay so), or the operator does not have a privilege that allows overriding alarm zones (such as\n'Override').\n"}}},"paths":{"/api/alarm_zones/{id}/armHighVoltage":{"post":{"tags":["Alarm Zones"],"summary":"Arm an alarm zone (high voltage)","description":"Sends an override to an alarm zone to set its state to 'armed - high voltage'.\n\nIf you send an end time in the body, and the alarm zone has a schedule to consult\nto find the state that it should return to, the override will only stay in effect\nuntil then.\n\nIf you do not, the override will remain in place until the next scheduled or\nmanual change.\n\nFollow one of the `commands.highVoltage` or `commands.highVoltageUntil` fields in an [alarm\nzone](models#alarmzonedetail) to get here rather than [building it\nyourself](forward-compatibility-hateoas).\n","parameters":[{"name":"id","in":"path","description":"The ID of the alarm zone.","required":true,"schema":{"type":"string"}},{"$ref":"#/components/parameters/requested_by"}],"requestBody":{"$ref":"#/components/requestBodies/OverrideEndTime"},"responses":{"204":{"description":"Success."},"400":{"$ref":"#/components/responses/400badbody"},"403":{"$ref":"#/components/responses/403alarmzoneoverride"}}}}}}
```

## Arm an alarm zone (low feel)

> Sends an override to an alarm zone to set its state to 'armed - low feel'.\
> \
> If you send an end time in the body, and the alarm zone has a schedule to consult\
> to find the state that it should return to, the override will only stay in effect\
> until then.\
> \
> If you do not, the override will remain in place until the next scheduled or\
> manual change.\
> \
> Follow one of the \`commands.lowFeel\` or \`commands.lowFeelUntil\` fields in an \[alarm\
> zone]\(models#alarmzonedetail) to get here rather than \[building it\
> yourself]\(forward-compatibility-hateoas).<br>

```json
{"openapi":"3.2.0","info":{"title":"Command Centre REST API","version":"2.0"},"tags":[{"name":"Alarm Zones","description":"These methods give you read access to Alarm Zones in the Command Centre database, and\nlet you change their states:  armed, disarmed, two user-defined states, and (if at\nleast one Fence Zone is directing its events to this Alarm Zone) 'Armed - High\nVoltage' or 'Armed - Low Feel'.\n\nAlarm zones may run by a schedule, but it is optional.  Alarm zones that do not have a\nschedule change state only through manual overrides, meaning they do not have a\nnatural state.  That in turn means that you cannot override them for a duration --\nthey have no state to return to.\n\nThe first use case below introduces the main entry point.  It is a paginated search interface\nthat gives you any number of alarm zones, each containing the fields you ask for in the query.\n\n## Overrides\nNote:\n\n1. End-times on overrides are not accurate to the second.  Internally, Command Centre\n   converts the end time to a duration, so you may find that submitting end times in\n   the very near future does not have the exact effect you expect.\n2. Submitting an override without an end time makes it take effect until the next\n   state change or 'cancel untimed overrides' entry in the alarm zone's schedule.\n3. Overrides you submit via REST are not subject to the \"manual unset\" timeouts you\n   can set in the Configuration Client.  Those only affect readers, terminals, and\n   pushbuttons.\n3. The end time you set for an override cannot be in the past or more than 24 hours into\n   the future.\n\n## Alarm Zone status flags\n\nIf the alarm zone is online, its `statusFlags` field will contain one or more of these flags:\n\n- `armed` means the alarm zone is armed.  It will be called that even if you have changed the\n  terminology in the Server Properties.\n- `disarmed` as above.\n- `user1` will be called that even if you have given it a different name in Server Properties.\n- `user2` as above.\n- `exitDelay` means the zone is temporarily ignoring input triggers.  One of the previous four\n  flags shows you the state the zone is about to change away from.\n- `entryDelay` means an input has triggered the alarm zone but Command Centre is giving a\n  cardholder the opportunity to disarm the zone.\n\n- `lowFeel` means the alarm zone has a fence zone attached, and that it is in 'low feel' mode\n  (meaning it is delivering lower voltage than you would use for a strong deterrent).\n- `highVoltage` means that the alarm zone has a fence zone attached, and that it is in 'high\n  voltage' mode (meaning it is delivering a strong deterrent pulse).\n\n### Alarm Zone flag rules\n\n- If and only if the zone is online, there will be exactly one of 'armed', 'disarmed', 'user1', or\n  'user2'.  That is your test for whether an alarm zone is in error.\n- 'exitDelay' and 'entryDelay' cannot appear together.\n- If and only if the zone is online and has a fence zone, there will be exactly one of 'lowFeel'\n  or 'highVoltage'.\n\n## Use cases\n\n### Searching for alarm zones by name\n1. `GET /api`.\n2. Follow the link at `features.alarmZones.alarmZones.href`\n   [↪](alarm-zones#get-api-alarm_zones), appending a search term such as `name=substring` to\n   filter the alarm zones, and `fields` to tell the server what to return about each.  The next\n   section covers those query parameters.\n3. Process the results, following the `next` link until there isn't one.\n\n### Changing an alarm zone's state\n1. Find the href for the alarm zone using the process above.\n2. GET it.\n3. Find the API URL you require in the `commands` structure of the results, such as `arm`\n   [↪](alarm-zones#post-api-alarm_zones-id-arm) or `disarm`\n   [↪](alarm-zones#post-api-alarm_zones-id-disarm), using [the\n   detail](models#alarmzonedetail).  Use the calls with `Until` on the ends of their\n   names if you are specifying an end time.\n4. POST to that URL.  All those with `Until` in their names require a JSON object in\nthe body giving the time at which the override should end; the others do not.\n\n### Finding an alarm zone's status\n1. Find the href for the alarm zone using the process above, and GET it.\n3. Follow the `updates` [↪](alarm-zones#get-api-alarm_zones-id-updates) href from that page.\n4. Use the flag rules above to interpret the status flags you receive.\n5. Follow the `next` link to stay up to date.\n\n## Licensing\n\nAll the POSTs that override items require RESTOverrides.\n\nIf you have RESTOverrides but not RESTStatus in 8.60 or later, the GETs return enough\ninformation to let you find the item you want to override but they do not return its status.  In\n8.50 and older, the GET will fail without RESTStatus.\n\nThe RESTOverrides and RESTStatus licences do not overlap: to watch the status of an item as well\nas override it, you will need both.\n"}],"servers":[{"url":"https://127.0.0.1:8904"}],"security":[{"API_key":[]},{"basic":[]}],"components":{"securitySchemes":{"API_key":{"type":"apiKey","name":"Authorization","in":"header","description":"\nClients authenticate by including a pre-shared API key in the `Authorization` header of each\nrequest after an authorisation method of `GGL-API-KEY`:\n\n`Authorization: GGL-API-KEY C774-B01F-D695-AA4B-215F-A158-AC22-ADEB`\n\nFor a fuller description see [API authentication](api-authentication).\n"},"basic":{"type":"http","scheme":"basic","description":"This is HTTP Basic authentication using a blank username and the API key as the password.\n\nExample:  `Authorization: Basic OkM3NzQtQjAxRi1ENjk1LUFBNEItMjE1Ri1BMTU4LUFDMjItQURFQg==`\n\nThat example is equivalent to the example in the description of the api_Key method:\nprepending a colon to the API key beginning with `C774` then encoding it into Base64\nproduces the 56 characters beginning with `OkM3`.\n\nThe colon is a separator between a username, which is blank in our case, and the password,\nwhich is our API key.\n\nFor a fuller description see [API authentication](api-authentication)\n"}},"parameters":{"requested_by":{"name":"requested_by","in":"query","required":false,"schema":{"type":"string"},"description":"Attributes this override to the cardholder with this ID rather than the REST operator.\nPrivilege checks will use the operator as normal, but event monitors and reports will state\nthat the person responsible for the override was the attributed cardholder, not the REST\noperator.  The REST operator will appear in a special mention in the event's details.\n\nFirst available in 8.70.  Versions older than 8.70 will ignore the parameter, leaving the\noverride attributed to the REST operator.\n"}},"requestBodies":{"OverrideEndTime":{"description":"Put this in the body of override POSTs to set the time at which the override should cease.\nThe API will reject the override if the string is not empty and it cannot parse it into a\ndate-time, but it will treat the override as having no end time if you misspell 'endTime'\nor if you send a blank string.\n\nCommand Centre computes an override's duration to a whole number of minutes with a minimum\nof one.  That means that a timed override will always end at a multiple of sixty seconds\nfrom the time the hardware receives the override request, which means the override will end\nwithin thirty seconds of the time you supplied here.  In versions older than 8.80, the\ndiscrepancy may be up to a minute.\n\nCareful observation of overrides submitted from the Configuration client and from the API\nwill reveal that they use different rounding methods.  Be assured, both result in overrides\nending within a minute of the requested time.\n","required":false,"content":{"application/json":{"schema":{"type":"object","properties":{"endTime":{"type":"string","format":"date-time"}}}}}}},"responses":{"400badbody":{"description":"The server could not parse the POST parameters.  There could be a syntax error in your JSON.\n"},"403alarmzoneoverride":{"description":"The site does not have the RESTOverrides licence (in which case the body of the result will\nsay so), or the operator does not have a privilege that allows overriding alarm zones (such as\n'Override').\n"}}},"paths":{"/api/alarm_zones/{id}/armLowFeel":{"post":{"tags":["Alarm Zones"],"summary":"Arm an alarm zone (low feel)","description":"Sends an override to an alarm zone to set its state to 'armed - low feel'.\n\nIf you send an end time in the body, and the alarm zone has a schedule to consult\nto find the state that it should return to, the override will only stay in effect\nuntil then.\n\nIf you do not, the override will remain in place until the next scheduled or\nmanual change.\n\nFollow one of the `commands.lowFeel` or `commands.lowFeelUntil` fields in an [alarm\nzone](models#alarmzonedetail) to get here rather than [building it\nyourself](forward-compatibility-hateoas).\n","parameters":[{"name":"id","in":"path","description":"The ID of the alarm zone.","required":true,"schema":{"type":"string"}},{"$ref":"#/components/parameters/requested_by"}],"requestBody":{"$ref":"#/components/requestBodies/OverrideEndTime"},"responses":{"204":{"description":"Success."},"400":{"$ref":"#/components/responses/400badbody"},"403":{"$ref":"#/components/responses/403alarmzoneoverride"}}}}}}
```

## Cancel mode override

> Cancels an override, returning the alarm zone to its scheduled state.\
> \
> Follow the 'commands.cancel' field in an \[alarm zone]\(models#alarmzonedetail) to get\
> here rather than \[building it yourself]\(forward-compatibility-hateoas).<br>

```json
{"openapi":"3.2.0","info":{"title":"Command Centre REST API","version":"2.0"},"tags":[{"name":"Alarm Zones","description":"These methods give you read access to Alarm Zones in the Command Centre database, and\nlet you change their states:  armed, disarmed, two user-defined states, and (if at\nleast one Fence Zone is directing its events to this Alarm Zone) 'Armed - High\nVoltage' or 'Armed - Low Feel'.\n\nAlarm zones may run by a schedule, but it is optional.  Alarm zones that do not have a\nschedule change state only through manual overrides, meaning they do not have a\nnatural state.  That in turn means that you cannot override them for a duration --\nthey have no state to return to.\n\nThe first use case below introduces the main entry point.  It is a paginated search interface\nthat gives you any number of alarm zones, each containing the fields you ask for in the query.\n\n## Overrides\nNote:\n\n1. End-times on overrides are not accurate to the second.  Internally, Command Centre\n   converts the end time to a duration, so you may find that submitting end times in\n   the very near future does not have the exact effect you expect.\n2. Submitting an override without an end time makes it take effect until the next\n   state change or 'cancel untimed overrides' entry in the alarm zone's schedule.\n3. Overrides you submit via REST are not subject to the \"manual unset\" timeouts you\n   can set in the Configuration Client.  Those only affect readers, terminals, and\n   pushbuttons.\n3. The end time you set for an override cannot be in the past or more than 24 hours into\n   the future.\n\n## Alarm Zone status flags\n\nIf the alarm zone is online, its `statusFlags` field will contain one or more of these flags:\n\n- `armed` means the alarm zone is armed.  It will be called that even if you have changed the\n  terminology in the Server Properties.\n- `disarmed` as above.\n- `user1` will be called that even if you have given it a different name in Server Properties.\n- `user2` as above.\n- `exitDelay` means the zone is temporarily ignoring input triggers.  One of the previous four\n  flags shows you the state the zone is about to change away from.\n- `entryDelay` means an input has triggered the alarm zone but Command Centre is giving a\n  cardholder the opportunity to disarm the zone.\n\n- `lowFeel` means the alarm zone has a fence zone attached, and that it is in 'low feel' mode\n  (meaning it is delivering lower voltage than you would use for a strong deterrent).\n- `highVoltage` means that the alarm zone has a fence zone attached, and that it is in 'high\n  voltage' mode (meaning it is delivering a strong deterrent pulse).\n\n### Alarm Zone flag rules\n\n- If and only if the zone is online, there will be exactly one of 'armed', 'disarmed', 'user1', or\n  'user2'.  That is your test for whether an alarm zone is in error.\n- 'exitDelay' and 'entryDelay' cannot appear together.\n- If and only if the zone is online and has a fence zone, there will be exactly one of 'lowFeel'\n  or 'highVoltage'.\n\n## Use cases\n\n### Searching for alarm zones by name\n1. `GET /api`.\n2. Follow the link at `features.alarmZones.alarmZones.href`\n   [↪](alarm-zones#get-api-alarm_zones), appending a search term such as `name=substring` to\n   filter the alarm zones, and `fields` to tell the server what to return about each.  The next\n   section covers those query parameters.\n3. Process the results, following the `next` link until there isn't one.\n\n### Changing an alarm zone's state\n1. Find the href for the alarm zone using the process above.\n2. GET it.\n3. Find the API URL you re
[...]
